package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ WalletJournalModel = (*customWalletJournalModel)(nil)

type (
	// WalletJournalModel is an interface to be customized, add more methods here,
	// and implement the added methods in customWalletJournalModel.
	WalletJournalModel interface {
		walletJournalModel
	}

	customWalletJournalModel struct {
		*defaultWalletJournalModel
	}
)

// NewWalletJournalModel returns a model for the database table.
func NewWalletJournalModel(conn sqlx.SqlConn) WalletJournalModel {
	return &customWalletJournalModel{
		defaultWalletJournalModel: newWalletJournalModel(conn),
	}
}
